Subject: Offline Message from Phillip Brown: I bought a swagtron 7t a little over a ye
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 21 May 2022 19:37:06 -0000

From: Phillip Brown <[email-masked]>
Phone: 4806406318
Location: Phoenix, United States
URL: https://swagtron.com/my-account/lost-password/
Department: SwagTron

I bought a swagtron 7t a little over a year ago. When I turn it on it seems like a front break is being applied. When it is off it rollers freely though the front tire still seems to be a little stiff. I use the scooter Daily to get back and forth to work. It the board going out? I thoughtbit might have been a bad  bearing in the front wheel at first.it is the 10 " 350 watt motor. Is there any way I could maybe swap out the motor to a 500 watt? Where can I get parts or work done on it? Thanks for any  help.
Phillip Brown.

----
Zopim
https://www.zopim.com